package openfuture.masterdata;

// imports
import java.util.*;

/**
 * Class _PackageDescription is used to describe this package
 * 
 * @author  Markus Giebeler 
 */
public class _PackageDescription {
/**
 * get the author of the package
 */
public static final String author() {
	return "Markus Giebeler";
}
/**
 * get the copyright statement of the package
 */
public static final String copyright() {
	return "(c) 2000 by OpenFuture; This free library is published under the GNU Lesser General Public Licence";
}
/**
 * get the description of the package
 */
public static final String description() {
	return "Reference implementation of the Design Pattern 'Master Data Management'.";
}
/** Version history of Package: */
public static final String[][] history() {
	String[][] data = {
		{"0.1", "Creation"},
		{"1.0", "First release of the component"},
		{"1.2", "History tag in package description added"},
		{"1.3", "Resource Bundle MD Source and Localized MD Container added"},
	};
	return data;
}
/**
 * get the name of the package
 */
public static final String name() {
	return "Master Data";
}
/**
 * get the prerequisites of the package
 */
public static final String[] prerequisites() {
	String[] data = {
		"java.util"
	};
	return data;
}
/**
 * get the url of the package
 */
public static final String url() {
	return "http://www.openfuture.de";
}
/** Versions of Package */
  public static final String version() {
	return "1.3";
  }          
}
