package openfuture.util.misc;

// imports
import java.util.*;

/**
 * Class _PackageDescription is used to describe this package
 * 
 * @author  Markus Giebeler 
 */
public class _PackageDescription {
/**
 * get the author of the package
 */
public static final String author() {
	return "Markus Giebeler, Wolfgang Reissenberger";
}
/**
 * get the copyright statement of the package
 */
public static final String copyright() {
	return "(c) 2000 by OpenFuture; This free library is published under the GNU Lesser General Public Licence";
}
/** Version history of Package: */
public static final String[][] history() {
	String[][] data = {
		{"1.3", "Creation"},
	};
	return data;
}
/**
 * get the name of the package
 */
public static final String name() {
	return "Extensions for Master Data classes";
}
/**
 * get the prerequisites of the package
 */
public static final String[] prerequisites() {
	String[] data = {
		"openfuture.masterdata",
		"java.util"
	};
	return data;
}
/**
 * get the url of the package
 */
public static final String url() {
	return "http://www.openfuture.de";
}
/** Versions of Package */
  public static final String version() {
	return "1.3";
  }                
}
